﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Telerik.WinControls.RadControlSpy;
using Telerik.WinControls.UI;

namespace _944687_RadGridViewelations
{
    public partial class Form1 : Form
    {
      public Form1()
        {
            InitializeComponent();

            this.Load += Form1_Load;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.productsTableAdapter.Fill(this.nwindDataSet.Products);
            this.categoriesTableAdapter.Fill(this.nwindDataSet.Categories);
            this.order_DetailsTableAdapter.Fill(this.nwindDataSet.Order_Details);

            this.radGridView1.DataSource = nwindDataSet;
            this.radGridView1.DataMember = "Categories";
            this.radGridView1.AutoGenerateHierarchy = true;
            this.radGridView1.MasterTemplate.AutoSizeColumnsMode = GridViewAutoSizeColumnsMode.Fill;

            this.SetUpTemplates();
        }

        private void SetUpTemplates()
        {
            GridViewTemplate productsTemplate = this.radGridView1.MasterTemplate.Templates[0];
            // Set columns size mode
            productsTemplate.AutoSizeColumnsMode = GridViewAutoSizeColumnsMode.Fill;

            // Hide a particular column
            productsTemplate.Columns.Last().IsVisible = false;

            // Access a column in template by name
            productsTemplate.Columns["ProductName"].Width = 300;

            GridViewTemplate ordersTemplate = this.radGridView1.MasterTemplate.Templates[0];
            // Best fit columns
            ordersTemplate.BestFitColumns();
            // ...
        }
    }
}
